Get User Timesheets
curl --request GET \
--url https://api.everhour.com/users/{user_id}/timesheets \
--header 'X-Api-Key: <api-key>'[
{
"id": 148562535,
"week": {
"id": 2535,
"from": "25-08-2025",
"to": "31-08-2025",
"beginningOfWeek": 1
},
"user": 14856,
"tasks": [
{
"id": "ev:9876543210",
"name": "Task Name",
"projects": [
"ev:1234567890"
],
"section": 1234,
"labels": [
"high",
"bug"
],
"position": 1,
"description": "<string>",
"dueAt": "2018-03-05 16:00:00",
"status": "open",
"time": {
"total": 7200,
"users": {
"1304": 3600,
"1543": 3600
}
},
"estimate": {
"total": 7200,
"type": "overall",
"users": {
"1304": 3600,
"1543": 3600
}
},
"attributes": {
"Client": "Everhour",
"Priority": "high"
},
"metrics": {
"efforts": 42,
"expenses": 199
},
"unbillable": true
}
],
"dailyTime": [
{
"date": "25-08-2025",
"time": 18000,
"timeWithoutTask": 7200,
"user": 14856
}
],
"taskTime": [
{
"total": 7200,
"users": {
"1304": 3600,
"1543": 3600
}
}
],
"approval": {
"id": 148562535,
"user": 14856,
"weekId": 2535,
"timesheetId": 148562535,
"reviewer": 14854,
"history": [
{
"action": "submitted",
"days": {
"monday": true,
"tuesday": true,
"wednesday": true,
"thursday": true,
"friday": true,
"saturday": false,
"sunday": false
},
"user": 2535,
"comment": "some text",
"createdAt": "2025-08-05 16:17:14"
}
]
},
"timecards": [
{
"user": 69,
"workTime": 28800,
"clockIn": "09:00",
"clockOut": "18:00",
"breakTime": 3600,
"history": [
{
"action": "clock-in",
"previousTime": "08:00",
"time": "09:00",
"trigger": "manually"
}
]
}
],
"timeOffAssignments": [
{
"days": 10,
"endDate": "2019-02-01",
"id": 41827,
"startDate": "2019-01-21",
"type": "time-off",
"user": 79786,
"timeOffPeriod": "full-day",
"reviewer": 79786,
"attachments": [
{
"id": 514,
"name": "avatar.jpg",
"token": "9a04b8a1fb99cbfadf3386ad6a338c14"
}
]
}
]
}
]Timesheets
Get User Timesheets
List timesheet weeks for a single user. The week id is the Monday date of the week (see Dates).
GET
/
users
/
{user_id}
/
timesheets
Get User Timesheets
curl --request GET \
--url https://api.everhour.com/users/{user_id}/timesheets \
--header 'X-Api-Key: <api-key>'[
{
"id": 148562535,
"week": {
"id": 2535,
"from": "25-08-2025",
"to": "31-08-2025",
"beginningOfWeek": 1
},
"user": 14856,
"tasks": [
{
"id": "ev:9876543210",
"name": "Task Name",
"projects": [
"ev:1234567890"
],
"section": 1234,
"labels": [
"high",
"bug"
],
"position": 1,
"description": "<string>",
"dueAt": "2018-03-05 16:00:00",
"status": "open",
"time": {
"total": 7200,
"users": {
"1304": 3600,
"1543": 3600
}
},
"estimate": {
"total": 7200,
"type": "overall",
"users": {
"1304": 3600,
"1543": 3600
}
},
"attributes": {
"Client": "Everhour",
"Priority": "high"
},
"metrics": {
"efforts": 42,
"expenses": 199
},
"unbillable": true
}
],
"dailyTime": [
{
"date": "25-08-2025",
"time": 18000,
"timeWithoutTask": 7200,
"user": 14856
}
],
"taskTime": [
{
"total": 7200,
"users": {
"1304": 3600,
"1543": 3600
}
}
],
"approval": {
"id": 148562535,
"user": 14856,
"weekId": 2535,
"timesheetId": 148562535,
"reviewer": 14854,
"history": [
{
"action": "submitted",
"days": {
"monday": true,
"tuesday": true,
"wednesday": true,
"thursday": true,
"friday": true,
"saturday": false,
"sunday": false
},
"user": 2535,
"comment": "some text",
"createdAt": "2025-08-05 16:17:14"
}
]
},
"timecards": [
{
"user": 69,
"workTime": 28800,
"clockIn": "09:00",
"clockOut": "18:00",
"breakTime": 3600,
"history": [
{
"action": "clock-in",
"previousTime": "08:00",
"time": "09:00",
"trigger": "manually"
}
]
}
],
"timeOffAssignments": [
{
"days": 10,
"endDate": "2019-02-01",
"id": 41827,
"startDate": "2019-01-21",
"type": "time-off",
"user": 79786,
"timeOffPeriod": "full-day",
"reviewer": 79786,
"attachments": [
{
"id": 514,
"name": "avatar.jpg",
"token": "9a04b8a1fb99cbfadf3386ad6a338c14"
}
]
}
]
}
]Authorizations
Path Parameters
User ID
Query Parameters
max number of weeks
Example:
10
Response
OK
Timesheet ID
Example:
148562535
Show child attributes
Show child attributes
User ID
Example:
14856
List of tasks added in the timesheet
Show child attributes
Show child attributes
Daily time
Show child attributes
Show child attributes
List of task time records
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
